org.apache.ignite.internal.processors.odbc.odbc

## Class OdbcQueryExecuteBatchResult

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.odbc.OdbcQueryExecuteBatchResult

    public class OdbcQueryExecuteBatchResult
    extends Object

ODBC query execute with batch of parameters result.

### Constructor Summary

Constructors
Constructor and Description
`OdbcQueryExecuteBatchResult(long[] affectedRows)`
`OdbcQueryExecuteBatchResult(long[] affectedRows, long errorSetIdx, int errorCode, String errorMessage)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long[]` `affectedRows()`
`int` `errorCode()`
`@Nullable String` `errorMessage()`
`long` `errorSetIdx()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OdbcQueryExecuteBatchResult

    public OdbcQueryExecuteBatchResult(long[] affectedRows)

Parameters:
  `affectedRows` - Number of rows affected by the query.

#### OdbcQueryExecuteBatchResult

    public OdbcQueryExecuteBatchResult(long[] affectedRows,
                                       long errorSetIdx,
                                       int errorCode,
                                       String errorMessage)

Parameters:
  `affectedRows` - Number of rows affected by the query.
  `errorSetIdx` - Sets processed.
  `errorCode` - Error code.
  `errorMessage` - Error message.

### Method Detail

#### affectedRows

    public long[] affectedRows()

Returns:
  Number of rows affected by the query.

#### errorSetIdx

    public long errorSetIdx()

Returns:
  Index of the set which caused an error or -1 if no error occurred.

#### errorMessage

    @Nullable
    public @Nullable String errorMessage()

Returns:
  Error message.

#### errorCode

    public int errorCode()

Returns:
  Error code.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021